diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 8fd2a72..0b14f40 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1208,6 +1208,10 @@ Anderson, Edward
 ``Discontinuous Plane Rotations and the Symmetric Eigenvalue Problem''
 LAPACK Working Note 150, University of Tennessee, UT-CS-00-454,
 December 4, 2000.
+\bibitem[ALM99]{ALM99}
+P. Aubry, D. Lazard, and M. Moreno Maza
+``On the Theories of Triangular Sets''
+Journal of Symbolic Computation 1999 Vol 28 pp105-124
 \bibitem[Ba10]{Ba10}
 Baker, Martin ``3D World Simulation''
 \verb|www.euclideanspace.com|
@@ -1305,6 +1309,11 @@ Johns Hopkins University Press ISBN 0-8018-3772-3 (1989)
 Golub, Gene H. and Van Loan, Charles F.
 ``Matrix Computations''
 Johns Hopkins University Press ISBN 978-0-8018-5414-9 (1996)
+\bibitem[REF-GS92]{REF-GS92}
+J. Grabmeier and A. Scheerhorn ``Finite fields in Axiom'' AXIOM Technical
+Report TR7/92 (ATR/5)(NP2522), Numerical Algorithms Group, Inc., Downer's
+Grove, IL, USA and Oxford, UK, 1992
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 \bibitem[Ha1896]{Ha1896}
 Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
 \bibitem[Ha95]{Ha95}
@@ -1345,9 +1354,25 @@ November 1995, pp. 1615--1628.
 \bibitem[Hou81]{Hou81}
 Householder, Alston S. ``Principles of Numerical Analysis''
 Dover Publications, Mineola, NY ISBN 0-486-45312-X (1981)
+\bibitem[Iya77]{Iya77}
+Shokichi Iyanaga and Yukiyosi Kawada Iyanaga
+``Encyclopedic Dictionary of Mathematics'' 1977
+\bibitem[Jac68]{Jac68}
+N. Jacobson, ``Structure and Representations of Jordan Algebras''
+AMS, Colloquium Publications Volume 39
 \bibitem[Je04]{Je04}
 Jeffrey, Alan ``Handbook of Mathematical Formulas and Integrals''
 Third Edition, Elsevier Academic Press ISBN 0-12-382256-4
+\bibitem[Kal91]{Kal91}
+M. Kalkbrener ``Three contributions to elimination theory''
+Ph. D. Thesis, University of Linz, Austria, 1991
+\bibitem[Kal98]{Kal98}
+M. Kalkbrener, ``Algorithmic properties of polynomial rings''
+Journal of Symbolic Computation 1998
+\bibitem[Kan89]{Kan89}
+I.L Kantor, A.S. Solodovnikov
+``Hypercomplex Numbers''
+Springer Verlag Heidelberg, 1989, ISBN 0-387-96980-2
 \bibitem[KMJ00]{KMJ00}
 Kaufmann, Matt; Manolios, Panagiotis, and Moore J Strother 
 ``Computer-Aided Reasoning: An Approach'' Springer, July 31. 2000
@@ -1360,6 +1385,9 @@ Reading, Massachusetts, Addison-Wesley Publishing Company, Inc.,
 Knuth, Donald E., ``Literate Programming''
 Center for the Study of Language and Information
 ISBN 0-937073-81-4 Stanford CA (1992) 
+\bibitem[Kol73]{Kol73}
+Kolchin, E.R. ``Differential Algebra and Algebraic Groups''
+(Academic Press, 1973).
 \bibitem[Kou10]{Kou10}
 Christoph Koutschan "Axiom / FriCAS"
 \verb|www.risc.jku.at/education/courses/ws2010/cas/axiom.pdf|
@@ -1373,6 +1401,10 @@ Lawson, C.L., Hanson R.J., Kincaid, D.R., Krogh, F.T.
 ``Algorithm 539: Basic linear algebra subprograms for FORTRAN usage''
 ACM Transactions on Mathematical Software, Vol 5 No 3 September 1979
 pp 308-323
+\bibitem[Laz91]{Laz91}
+D. Lazard 
+``A new method for solving algebraic systems of positive dimension'' 
+Discr. App. Math. 33:147-160,1991
 \bibitem[LR88]{LR88}
 Le Brigand, D. and Risler, J.J.
 ``Algorithme de Brill-Noether et codes de Goppa''
@@ -1381,6 +1413,10 @@ Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
 Daniel Lazard and Renaud Rioboo. ``Integration of rational
 functions: Rational computation of the logarithmic part'' 
 {\sl Journal of Symbolic Computation}, 9:113-116:1990
+\bibitem[LN83]{LN83}
+R.Lidl, H.Niederreiter 
+``Finite Field, Encycoldia of Mathematics and Its Applications'', 
+Vol. 20, Cambridge Univ. Press, 1983
 \bibitem[LMW79]{LMW79}
 Linger, Richard C.; Mills, Harlan D.; and Witt, Bernard I.
 ``Structured Programming: Theory and Practice''
@@ -1393,6 +1429,9 @@ alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
 Joseph Liouville. Second m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
 alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
+\bibitem[Lip81]{Lip81}
+D.Lipson, ``Elements of Algebra and Algebraic Computing'', 
+The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 \bibitem[Loe09]{Loe09} 
 Loetzsch, M. ``GTFL - A graphical terminal for Lisp''
 \verb|martin-loetzsch.de/gtfl/|
@@ -1408,12 +1447,26 @@ Academic Press (1969) Mathematics in Science and Engineering Volume 53-I
 \bibitem[Luk269]{Luk269}
 Luke, Yudell L. ``The Special Functions and their Approximations'' Volume II
 Academic Press (1969) Mathematics in Science and Engineering Volume 53-II
+\bibitem[MB79]{MB79}
+Saunders Mac Lane and Garret Birkhoff ``Algebra''
+AMS Chelsea Publishing ISBN 0821816462
 \bibitem[Mal72]{Mal72}
 Malcolm M. A. (1972) Algorithms to reveal properties of 
 floating-point arithmetic. Comms. of the ACM, 15, 949-951. 
 \bibitem[Mar07]{Mar07}
 Marshak, U. ``HT-AJAX - AJAX framework for Hunchentoot''
 \verb|common-lisp.net/project/ht-ajax/ht-ajax.html|
+\bibitem[Maz98]{Maz98}
+M. Moreno Maza ``A new algorithm for computing triangular
+decomposition of algebraic varieties'' NAG Tech. Rep. 4/98.
+\bibitem[MR95]{MR95}
+M. Moreno Maza and R. Rioboo 
+``Computations of gcd over algebraic towers of simple extensions'' 
+In proceedings of AAECC11 Paris, 1995.
+\bibitem[Maz97]{Maz97}
+M. MORENO MAZA ``Calculs de pgcd au-dessus des tours
+d'extensions simples et resolution des systemes d'equations algebriques'' 
+These, Universite P.etM. Curie, Paris, 1997.
 \bibitem[Mie97]{Mie97}
 Mielenz, Klaus D. ``Computation of Fresnel Integrals'' 
 J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
@@ -1472,6 +1525,16 @@ Rich, Albert D. ``Rule-based Mathematics'' \verb|www.apmaths.uwo.ca/~arich|
 Richardson, Dan and Fitch, John
 ``The identity problem for elementary functions and constants''
 ACM Proc. of ISSAC 94 pp285-290 ISBN 0-89791-638-7
+\bibitem[REF-Rio92]{REF-Rio92}
+R. Rioboo 
+``Real algebraic closure of an ordered field, implementation in Axiom'' 
+In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
+In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
+0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
+\bibitem[Rio96]{Rio96}
+R. Rioboo ``Generic computation of the real closure of an ordered field''
+In Mathematics and Computers in Simulation Volume 42, Issue 4-6,
+November 1996.
 \bibitem[Ris68]{Ris68}
 Robert Risch. ``On the integration of elementary functions
 which are built up using algebraic operations'' Research Report
@@ -1488,6 +1551,9 @@ Robert Risch. ``The solution of problem of integration in finite terms''
 \bibitem[Ris79]{Ris79}
 Robert Risch. ``Algebraic properties of the elementary functions of analysis'' 
 {\sl American Journal of Mathematics}, 101:743-759, 1979
+\bibitem[Ritt50]{Ritt50}
+Joseph Fels Ritt, ``Differential Algebra''
+AMS Colloquium Publications Volume 33 ISBN 978-0-8218-4638-4
 \bibitem[Ro72]{Ro72}
 Maxwell Rosenlicht. Integration in finite terms. 
 {\sl American Mathematical Monthly}, 79:963-972, 1972
@@ -1495,6 +1561,9 @@ Maxwell Rosenlicht. Integration in finite terms.
 Michael Rothstein. ``A new algorithm for the integration of
 exponential and logarithmic functions'' In {\sl Proceedings of the 1977
 MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
+\bibitem[Sch66]{Sch66}
+R.D. Schafer ``An Introduction to Nonassociative Algebras''
+Academic Press, New York, 1966
 \bibitem[Ste90]{Ste90}
 Steele, Guy L. ``Common Lisp The Language'' Second Edition
 ISBN 1-55558-041-6 Digital Press (1990)
@@ -1540,5 +1609,8 @@ D.Y.Y. Yun. ``On square-free decomposition algorithms''
 {\sl Proceedings of SYMSAC'76} pages 26-35, 1976
 \bibitem[Wiki3]{Wiki3}
 \verb|en.wikipedia.org/wiki/Givens_rotation|
+\bibitem[Wis91]{Wis91}
+R. Wisbauer, ``Bimodule Structure of Algebra''
+Lecture Notes Univ. Duesseldorf 1991
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index 6e3851d..b8bfaaa 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130228 tpd src/axiom-website/patches.html 20130228.01.tpd.patch
+20130228 tpd books/bookvolbib add references
 20130227 tpd src/axiom-website/patches.html 20130227.02.tpd.patch
 20130227 tpd src/algebra/Makefile add U32VectorPolynomialOperations
 20130227 tpd books/bookvol5 add support for U32VectorPolynomialOperations
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 063d677..96222a4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3995,5 +3995,7 @@ books/bookvol10.3 add U16Matrix
 books/bookvol10.3 add U8Matrix
 <a href="patches/20130227.02.tpd.patch">20130227.02.tpd.patch</a>
 books/bookvol10.4 add U32VectorPolynomialOperations
+<a href="patches/20130228.01.tpd.patch">20130228.01.tpd.patch</a>
+books/bookvolbib add references
  </body>
 </html>
